<!--
    Copyright © 2016 - 2020 Stefan Berg <isbeorn86+NINA@googlemail.com> and the N.I.N.A. contributors

    This file is part of N.I.N.A. - Nighttime Imaging 'N' Astronomy.

    This Source Code Form is subject to the terms of the Mozilla Public
    License, v. 2.0. If a copy of the MPL was not distributed with this
    file, You can obtain one at http://mozilla.org/MPL/2.0/.-->
<ResourceDictionary xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">

    <Style x:Key="LeftTabItem" TargetType="{x:Type TabItem}">
        <Setter Property="Template">
            <Setter.Value>
                <ControlTemplate TargetType="TabItem">
                    <Border
                        Name="PART_Border"
                        Margin="0,7,0,0"
                        Background="Transparent"
                        BorderThickness="0">
                        <Grid Name="PART_Panel">
                            <ContentPresenter
                                Name="PART_Content"
                                HorizontalAlignment="Center"
                                VerticalAlignment="Center"
                                ContentSource="Header" />
                        </Grid>
                    </Border>
                    <!--<ControlTemplate.Triggers>
                        <Trigger Property="IsSelected" Value="True">
                            <Setter TargetName="PART_Panel" Property="Background" Value="{StaticResource ButtonBackgroundBrush}" />
                        </Trigger>
                        <Trigger Property="IsSelected" Value="False">
                            <Setter TargetName="PART_Panel" Property="Background" Value="{StaticResource BackgroundBrush}" />
                        </Trigger>
                        <Trigger SourceName="PART_Panel" Property="IsMouseOver" Value="True">
                            <Setter TargetName="PART_Panel" Property="Background" Value="{StaticResource ButtonBackgroundSelectedBrush}" />
                        </Trigger>
                    </ControlTemplate.Triggers>-->
                </ControlTemplate>
            </Setter.Value>
        </Setter>
    </Style>

    <Style x:Key="TopTabItem" TargetType="{x:Type TabItem}">
        <Setter Property="Template">
            <Setter.Value>
                <ControlTemplate TargetType="TabItem">
                    <Border
                        Name="PART_Border"
                        Margin="-1,2,0,0"
                        BorderBrush="{StaticResource BorderBrush}"
                        BorderThickness="1,0,1,0">
                        <Grid>
                            <Grid Name="PART_Panel">
                                <ContentPresenter
                                    Margin="10,3"
                                    HorizontalAlignment="Center"
                                    VerticalAlignment="Center"
                                    ContentSource="Header" />
                            </Grid>
                        </Grid>
                    </Border>
                    <ControlTemplate.Triggers>
                        <Trigger Property="IsSelected" Value="True">
                            <Setter TargetName="PART_Panel" Property="Background" Value="{StaticResource ButtonBackgroundBrush}" />
                            <Setter TargetName="PART_Border" Property="Margin" Value="0" />
                        </Trigger>
                        <Trigger Property="IsSelected" Value="False">
                            <Setter TargetName="PART_Panel" Property="Background" Value="{StaticResource BackgroundBrush}" />
                        </Trigger>
                        <Trigger SourceName="PART_Panel" Property="IsMouseOver" Value="True">
                            <Setter TargetName="PART_Panel" Property="Background" Value="{StaticResource ButtonBackgroundSelectedBrush}" />
                        </Trigger>
                    </ControlTemplate.Triggers>
                </ControlTemplate>
            </Setter.Value>
        </Setter>
    </Style>

    <ControlTemplate x:Key="LeftTabTemplate" TargetType="TabControl">

        <Grid>
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="Auto" />
                <ColumnDefinition />
            </Grid.ColumnDefinitions>
            <TabPanel
                MinWidth="80"
                HorizontalAlignment="Left"
                Background="{StaticResource SecondaryBackgroundBrush}"
                IsItemsHost="true" />
            <Border
                Grid.Column="1"
                BorderBrush="{StaticResource BorderBrush}"
                BorderThickness="0,0,0,0">
                <ContentPresenter
                    x:Name="ContentPresenter"
                    Margin="0,0,0,0"
                    HorizontalAlignment="Stretch"
                    VerticalAlignment="Stretch"
                    ContentSource="SelectedContent" />
            </Border>
        </Grid>
    </ControlTemplate>

    <ControlTemplate x:Key="TopTabTemplate" TargetType="TabControl">
        <Grid>
            <Grid.RowDefinitions>
                <RowDefinition Height="Auto" />
                <RowDefinition />
            </Grid.RowDefinitions>
            <Border
                Grid.Row="1"
                BorderBrush="{StaticResource BorderBrush}"
                BorderThickness="0,1,0,0">
                <ContentPresenter
                    x:Name="ContentPresenter"
                    Margin="1,0,0,0"
                    HorizontalAlignment="Stretch"
                    VerticalAlignment="Stretch"
                    ContentSource="SelectedContent" />
            </Border>
            <TabPanel VerticalAlignment="Top" IsItemsHost="true" />
        </Grid>
    </ControlTemplate>

    <Style TargetType="{x:Type TabControl}">
        <Setter Property="Background" Value="{StaticResource BackgroundBrush}" />
        <Style.Triggers>
            <Trigger Property="TabStripPlacement" Value="Left">
                <Setter Property="Template" Value="{StaticResource LeftTabTemplate}" />
                <Setter Property="ItemContainerStyle" Value="{StaticResource LeftTabItem}" />
            </Trigger>
            <Trigger Property="TabStripPlacement" Value="Top">
                <Setter Property="Template" Value="{StaticResource TopTabTemplate}" />
                <Setter Property="ItemContainerStyle" Value="{StaticResource TopTabItem}" />
            </Trigger>
        </Style.Triggers>
    </Style>

    <ControlTemplate x:Key="SecondLevelLeftTabTemplate" TargetType="TabControl">

        <Grid>
            <Grid.ColumnDefinitions>
                <ColumnDefinition Width="Auto" />
                <ColumnDefinition />
            </Grid.ColumnDefinitions>
            <TabPanel
                MinWidth="80"
                HorizontalAlignment="Left"
                Background="{StaticResource TertiaryBackgroundBrush}"
                IsItemsHost="true" />
            <Border
                Grid.Column="1"
                BorderBrush="{StaticResource BorderBrush}"
                BorderThickness="0,0,0,0">
                <ContentPresenter
                    x:Name="ContentPresenter"
                    Margin="0,0,0,0"
                    HorizontalAlignment="Stretch"
                    VerticalAlignment="Stretch"
                    ContentSource="SelectedContent" />
            </Border>
        </Grid>
    </ControlTemplate>

    <Style x:Key="SecondLevelTabControl" TargetType="{x:Type TabControl}">
        <Setter Property="Background" Value="{StaticResource BackgroundBrush}" />
        <Style.Triggers>
            <Trigger Property="TabStripPlacement" Value="Left">
                <Setter Property="Template" Value="{StaticResource SecondLevelLeftTabTemplate}" />
                <Setter Property="ItemContainerStyle" Value="{StaticResource LeftTabItem}" />
            </Trigger>
            <Trigger Property="TabStripPlacement" Value="Top">
                <Setter Property="Template" Value="{StaticResource TopTabTemplate}" />
                <Setter Property="ItemContainerStyle" Value="{StaticResource TopTabItem}" />
            </Trigger>
        </Style.Triggers>
    </Style>
</ResourceDictionary>